Subject: Re: [PATCH net 2/7] selftests: netfilter: add conntrack clash resolution test case

From: Florian Westphal <[email-masked]>
Date: Thu, 17 Jul 2025 17:14:05 +0200

Jakub Kicinski <[email-masked]> wrote:
> # timeout set to 1800
> # selftests: net/netfilter: conntrack_clash.sh
> # got 128 of 128 replies
> # timed out while waiting for reply from thread
> # got 127 of 128 replies
> # FAIL: did not receive expected number of replies for 10.0.1.99:22111
> # FAIL: clash resolution test for 10.0.1.99:22111 on attempt 2
> # got 128 of 128 replies
> # timed out while waiting for reply from thread
> # got 0 of 128 replies

No idea yet whats happening here, I get 100% success rate even
when running this thing 1000 times in a loop.

I sent a patch to no longer treat '127 of 128' et al
as a hard error, i.e. the test should then either SKIP or pass.

And I added a bit more information, maybe the next test run
will tell more.